using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Unity.Networking.Transport;

namespace KairoEngine.Multiplayer
{
    /// <summary>Network message sent from the server to alert clients that a peer has disconnected.</summary>
    public class NetClientDisconnectedMsg : NetMsg
    {
        public string playerName = "";
        public NetClientDisconnectedMsg()
        {
            code = NetOpCode.ClientDisconnected;
        }

        public override void Serialize(ref DataStreamWriter writer)
        {
            writer.WriteByte((byte)code);
            writer.WriteFixedString64(playerName);
        }

        public override void Deserialize(ref DataStreamReader reader)
        {
            playerName = reader.ReadFixedString64().ToString();
        }
    }
}
